## fonts-roboto 0~20160106

=== Makefile ===
# Copyright 2015 Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

all: v2

v2:
	PYTHONPATH=$(PYTHONPATH):$(CURDIR)/scripts/lib python scripts/build-v2.py

crunch:
	mkdir -p out/crunched
	cd third_party/fontcrunch && \
	for source in ../../out/RobotoTTF/*.ttf ../../out/RobotoCondensedTTF/*.ttf; do \
		python fontcrunch.py gen $$source; \
	done && \
	$(MAKE) -j8 && \
	for source in ../../out/RobotoTTF/*.ttf ../../out/RobotoCondensedTTF/*.ttf; do \
		python fontcrunch.py pack $$source ../../out/crunched/$$(basename $$source) >/dev/null; \
	done

android:
	mkdir -p out/android
	for source in out/crunched/*.ttf; do \
		touched=$$(mktemp); \
		subsetted=$$(mktemp); \
		final=out/android/$$(basename $$source); \
		python scripts/touchup_for_android.py $$source $$touched && \
		python $$HOME/noto/nototools/subset.py $$touched $$subsetted && \
		python scripts/force_yminmax.py $$subsetted $$final && \
		rm $$touched $$subsetted; \
	done

# TODO: remove this build target once we are comfortable with the quality of
# the new toolchain
android-from-hinted:
	mkdir -p out/android
	for source in hinted/*.ttf; do \
	        unhinted=$$(mktemp); \
		touched=$$(mktemp); \
		subsetted=$$(mktemp); \
		final=out/android/$$(basename $$source); \
		python $$HOME/noto/nototools/drop_hints.py $$source $$unhinted && \
		python scripts/touchup_for_android.py $$unhinted $$touched && \
		python $$HOME/noto/nototools/subset.py $$touched $$subsetted && \
		python scripts/force_yminmax.py $$subsetted $$final && \
		rm $$touched $$subsetted; \
	done

web:
	mkdir -p out/web
	for source in hinted/*.ttf; do \
		touched=$$(mktemp); \
		final=out/web/$$(basename $$source); \
		python scripts/touchup_for_web.py $$source $$touched Roboto && \
		python scripts/subset_for_web.py $$touched $$final && \
		rm $$touched; \
	done

chromeos:
	mkdir -p out/chromeos
	for source in hinted/*.ttf; do \
		touched=$$(mktemp); \
		final=out/chromeos/$$(basename $$source); \
		python scripts/touchup_for_web.py $$source $$touched Roboto && \
		python $$HOME/noto/nototools/subset.py $$touched $$final && \
		rm $$touched; \
	done

test: test-android test-coverage test-general

test-general:
	python scripts/run_general_tests.py

test-exhaustive:
	python scripts/run_exhaustive_tests.py

test-android:
	python scripts/run_android_tests.py

test-web:
	python scripts/run_web_tests.py

test-coverage:
	python scripts/coverage_test.py

=== third_party/fontcrunch/Makefile ===
# Copyright 2014 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Contributor: Raph Levien

SRC = $(wildcard */*.bez)
OPT = $(patsubst %.bez, %.bezopt, $(SRC))

dummy: $(OPT)

quadopt: quadopt.cc
	$(CXX) $< -std=c++0x -O3 -Werror -Wall -o $@

%.bezopt:	%.bez quadopt
	./quadopt $< $@

clean:
	rm -f quadopt
	find . -name '*.bez' -delete
	find . -name '*.bezopt' -delete
	rmdir ??

=== debian/changelog ===
fonts-roboto (2:0~20160106-1ubuntu0.1) xenial-proposed; urgency=medium

  * debian/control.in:
    - Drop unnecessary Conflicts fields in fonts-roboto-hinted and
      fonts-roboto-unhinted (LP: #1760124).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 30 Mar 2018 16:42:00 +0200

fonts-roboto (2:0~20160106-1) unstable; urgency=medium

  * New upstream release imported
    + Upstream snapshot taken at git commit hash  6831ae5.
  * Use github API to pull down source from commit
  * Fix package name in license of rules file.
  * Drop Recommends on fonts-roboto-unhinted in fonts-roboto, also fix
    typo in fonts-roboto-unhinted long description.
    Closes: bug#808298, Thanks to Norbert Preining.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 17 Jan 2016 10:25:54 +0530

fonts-roboto (2:0~20151012-1) unstable; urgency=medium

  * Package split from fonts-android source, now tracks new upstream code
    location.

 -- Vasudev Kamath <vasudev@copyninja.info>  Mon, 14 Dec 2015 22:24:31 +0530

=== debian/control ===
Source: fonts-roboto
Priority: optional
Section: fonts
Build-Depends: cdbs,
 devscripts,
 debhelper (>= 9~),
 dh-buildinfo,
 libregexp-assemble-perl,
 libimage-exiftool-perl,
 libfont-ttf-perl
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Vasudev Kamath <vasudev@copyninja.info>,
 Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.6
Homepage: https://github.com/google/roboto
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fonts-roboto.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/fonts-roboto.git

Package: fonts-roboto
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 fonts-roboto-hinted
Description: metapackage to pull in Roboto fonts
 Roboto is Google's signature family of fonts, the default font in
 Android and ChromeOS and the recommended font for Google's visual
 language, Material Design.
 .
 Roboto supports all Latin, Cyrillic, and Greek characters in Unicode
 7.0 as well as currency symbol for the Georgian lari, to be published
 in Unicode 8.0.

Package: fonts-roboto-hinted
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Google's signature family of fonts (hinted)
 Roboto is Google's signature family of fonts, the default font in
 Android and ChromeOS and the recommended font for Google's visual
 language, Material Design.
 .
 Roboto supports all Latin, Cyrillic, and Greek characters in Unicode
 7.0 as well as currency symbol for the Georgian lari, to be published
 in Unicode 8.0.
 .
 This package contains Roboto font families with hinting.

Package: fonts-roboto-unhinted
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Google's signature family of fonts (unhinted)
 Roboto is Google's signature family of fonts, the default font in
 Android and ChromeOS and the recommended font for Google's visual
 language, Material Design.
 .
 Roboto supports all Latin, Cyrillic, and Greek characters in Unicode
 7.0 as well as currency symbol for the Georgian lari, to be published
 in Unicode 8.0.
 .
 This package contains Roboto font families which lack hinting.

=== debian/watch ===
version = 3
# Upstream doesn't provide a trackable release. This file is added as
# per lintian warning.

## fonts-roboto 0~20170802

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 # the new toolchain
 android-from-hinted:
 	mkdir -p out/android
-	for source in hinted/*.ttf; do \
+	for source in src/hinted/*.ttf; do \
 	        unhinted=$$(mktemp); \
 		touched=$$(mktemp); \
 		subsetted=$$(mktemp); \
@@ -58,20 +58,30 @@
 
 web:
 	mkdir -p out/web
-	for source in hinted/*.ttf; do \
+	for source in src/hinted/*.ttf; do \
+		basename=$$(basename $$source); \
+		case $$source in \
+			src/hinted/Roboto-*) unhinted=out/RobotoTTF/$$basename ;; \
+			*) unhinted=out/RobotoCondensedTTF/$$basename ;; \
+		esac; \
 		touched=$$(mktemp); \
 		final=out/web/$$(basename $$source); \
-		python scripts/touchup_for_web.py $$source $$touched Roboto && \
+		python scripts/touchup_for_web.py $$source $$unhinted $$touched Roboto && \
 		python scripts/subset_for_web.py $$touched $$final && \
 		rm $$touched; \
 	done
 
 chromeos:
 	mkdir -p out/chromeos
-	for source in hinted/*.ttf; do \
+	for source in src/hinted/*.ttf; do \
+		basename=$$(basename $$source); \
+		case $$source in \
+			src/hinted/Roboto-*) unhinted=out/RobotoTTF/$$basename ;; \
+			*) unhinted=out/RobotoCondensedTTF/$$basename ;; \
+		esac; \
 		touched=$$(mktemp); \
 		final=out/chromeos/$$(basename $$source); \
-		python scripts/touchup_for_web.py $$source $$touched Roboto && \
+		python scripts/touchup_for_cros.py $$source $$unhinted $$touched Roboto && \
 		python $$HOME/noto/nototools/subset.py $$touched $$final && \
 		rm $$touched; \
 	done

=== requirements.txt ===
booleanOperations==0.5.2
compreffor==0.3.0
cu2qu==1.1.1
Cython==0.24.1
git+https://github.com/typesupply/feaTools.git@8fc73f8ad5523cb6d9e0c8ac966eeb5dab5f7f49
fonttools==3.13.0
freetype-py==1.0.2
git+https://github.com/googlei18n/nototools@8db437b21de59b2d7aba30429c60a78f3e853caa
numpy==1.11.2rc1
pyclipper==1.0.6
git+https://github.com/robofab-developers/robofab.git@62229c4ea33c324e698766d3700ca9a47efcdeb6
scipy==0.18.1
git+https://github.com/googlei18n/ufo2ft.git@6184b1493bc4afc6969bd2516d02f3f616cb5484
ufoLib==2.0.0

=== third_party/spiro/ppedit/Makefile ===
TARGET = gtk

ifeq ($(TARGET),gtk)
  X3_PLAT = X3_GTK
  X3_INCL = `pkg-config --cflags gtk+-2.0`
  X3_LIBS = `pkg-config --libs gtk+-2.0`
endif

ifeq ($(TARGET),carbon)
  X3_PLAT = X3_CARBON
  X3_LIBS = -framework Carbon
endif

ifeq ($(TARGET),win32)
  X3_PLAT = X3_WIN32
  X3_LIBS = -lgdi32
endif

CFLAGS = -g -Wall -D$(X3_PLAT) $(X3_INCL) -I../x3/
LDFLAGS = -g
LDLIBS = $(X3_LIBS)

all:	ppedit

ppedit:	ppedit.o cornu.o bezctx.o bezctx_x3.o bezctx_hittest.o plate.o sexp.o image.o bezctx_ps.o spiro.o ../x3/x3$(TARGET).o ../x3/x3common.o

=== debian/changelog ===
fonts-roboto (2:0~20170802-5) unstable; urgency=medium

  * Team upload.
  * Replace cdbs build with plain debhelper (Closes: #1106177)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 23 Aug 2025 16:42:01 +0200

fonts-roboto (2:0~20170802-4) unstable; urgency=medium

  * Team upload
  * Replace cdbs upstream-tarball with uscan
  * Drop transitional package (Closes: #1032700)
  * d/control: Build-Depends: remove dh-buildinfo

 -- Bastian Germann <bage@debian.org>  Fri, 04 Apr 2025 13:13:02 +0200

fonts-roboto (2:0~20170802-3) unstable; urgency=medium

  * Install symlinks with correct paths.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 28 Feb 2019 11:11:51 +0100

fonts-roboto (2:0~20170802-2) unstable; urgency=medium

  * Update Vcs-*.
  * Add symlinks to the unhinted fonts from the hinted transitional package
    (Closes: #922457).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 21 Feb 2019 19:22:40 +0100

fonts-roboto (2:0~20170802-1) unstable; urgency=medium

  * New upstream version (Closes: #890269).
  * Deprecate hinted fonts since hints have not been updated to the latest
    font version.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 06 Feb 2019 13:09:03 +0100

fonts-roboto (2:0~20160106-2) unstable; urgency=medium

  * Remove Conflicts fields for -hinted and -unhinted packages because
    they are co-installable.
    Closes: bug#838199, Thanks to Markus Koschany

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 01 Oct 2016 21:59:31 +0530

=== debian/control ===
Source: fonts-roboto
Priority: optional
Section: fonts
Build-Depends:
 debhelper-compat (= 13),
 libfont-ttf-perl,
 libimage-exiftool-perl,
 libregexp-assemble-perl,
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders:
 Vasudev Kamath <vasudev@copyninja.info>,
 Jonas Smedegaard <dr@jones.dk>,
Standards-Version: 4.7.2
Homepage: https://github.com/google/roboto
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-roboto.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-roboto
X-Style: black

Package: fonts-roboto
Architecture: all
Multi-Arch: foreign
Depends:
 fonts-roboto-unhinted,
 ${misc:Depends},
Description: metapackage to pull in Roboto fonts
 Roboto is Google's signature family of fonts, the default font in
 Android and ChromeOS and the recommended font for Google's visual
 language, Material Design.
 .
 Roboto supports all Latin, Cyrillic, and Greek characters in Unicode
 7.0 as well as currency symbol for the Georgian lari, to be published
 in Unicode 8.0.

Package: fonts-roboto-unhinted
Architecture: all
Multi-Arch: foreign
Breaks:
 fonts-roboto-hinted (<< 0~20170802~),
Depends:
 ${misc:Depends},
Description: Google's signature family of fonts (unhinted)
 Roboto is Google's signature family of fonts, the default font in
 Android and ChromeOS and the recommended font for Google's visual
 language, Material Design.
 .
 Roboto supports all Latin, Cyrillic, and Greek characters in Unicode
 7.0 as well as currency symbol for the Georgian lari, to be published
 in Unicode 8.0.
 .
 This package contains Roboto font families which lack hinting.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# see bug #786971

override_dh_auto_test:

=== debian/watch ===
version=4
opts=mode=git \
https://github.com/googlefonts/roboto-2.git refs/tags/v([\d.]+)

## fonts-roboto 1.0.0

=== debian/changelog ===
fonts-roboto (3:1.0.0) unstable; urgency=medium

  * Overrides the package fonts-roboto from the distributor, because it does not
    contains all fonts needed.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Wed, 23 Dec 2015 11:19:29 +0100

fonts-roboto (1.0ubuntu1) precise; urgency=low

  * Initial Release

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 10 Feb 2014 15:08:39 +0100

=== debian/control ===
Source: fonts-roboto
Section: fonts
Priority: optional
Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://www.fontsquirrel.com/fonts/roboto/

Package: fonts-roboto
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Roboto fonts
 Roboto has a dual nature. It has a mechanical skeleton and the forms are
 largely geometric. At the same time, the font features friendly and open
 curves. While some grotesks distort their letterforms to force a rigid rhythm,
 Roboto doesn’t compromise, allowing letters to be settle in to their natural
 width. This makes for a more natural reading rhythm more commonly found in
 humanist and serif types.
 .
 This is the normal family, which can be used alongside the Roboto Condensed
 family and the Roboto Slab family.

## fonts-roboto 1.0.0bit1

=== debian/changelog ===
fonts-roboto (3:1.0.0bit1) jammy; urgency=medium

  * Built for jammy.
  * Switch to debhelper compat v13, using debhelper-compat B-D.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 22 May 2023 14:03:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: fonts
 Priority: optional
 Maintainer: Daniel Betschart <daniel.betschart@betschart-it.ch>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 13)
 Standards-Version: 3.9.3
 Homepage: http://www.fontsquirrel.com/fonts/roboto/
